Audits
List audit comments
Returns a paginated list of comments for an audit.
Rate limit: 250 requests / minute.
GET
/
audits
/
{auditId}
/
comments
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";
const vanta = new Vanta({
bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});
async function run() {
const result = await vanta.audits.listComments({
auditId: "<id>",
});
console.log(result);
}
run();package hello.world;
import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.operations.ListAuditCommentsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Vanta sdk = Vanta.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
ListAuditCommentsResponse res = sdk.audits().listComments()
.auditId("<id>")
.pageSize(10)
.call();
if (res.paginatedResponseComment().isPresent()) {
System.out.println(res.paginatedResponseComment().get());
}
}
}curl --request GET \
--url https://api.vanta.com/v1/audits/{auditId}/comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/audits/{auditId}/comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/audits/{auditId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"data": [
{
"id": "65fc81a3359c8508c9af880f",
"auditEvidenceId": "65fc81a3359c8508c9af880f",
"text": "Some comment",
"creationDate": "2024-03-07T21:25:56.000Z",
"modificationDate": "2024-03-07T21:25:56.000Z",
"deletionDate": "2024-03-07T21:25:56.000Z",
"email": "vlad@vantaroo.com",
"authorName": "Vlad Vantaroo"
}
],
"pageInfo": {
"hasNextPage": false,
"hasPreviousPage": false,
"startCursor": "YXJyYXljb25uZWN0aW9uOjA=",
"endCursor": "YXJyYXljb25uZWN0aW9uOjE="
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Controls the maximum number of items returned in one response from the API.
Required range:
1 <= x <= 100A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.
Includes all comments that have changed since changedSinceDate.
Response
200 - application/json
Ok
Show child attributes
Show child attributes
Was this page helpful?
Previous
List audit controlsReturns a paginated list of controls for an audit.
Rate limit: 250 requests / minute.
Next
⌘I
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";
const vanta = new Vanta({
bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});
async function run() {
const result = await vanta.audits.listComments({
auditId: "<id>",
});
console.log(result);
}
run();package hello.world;
import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.operations.ListAuditCommentsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Vanta sdk = Vanta.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
ListAuditCommentsResponse res = sdk.audits().listComments()
.auditId("<id>")
.pageSize(10)
.call();
if (res.paginatedResponseComment().isPresent()) {
System.out.println(res.paginatedResponseComment().get());
}
}
}